package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Positive;
import java.util.Date;

@ApiModel(value = "com-ym-mec-biz-dal-entity-InspectionItemPlan")
public class InspectionItemPlan {
    /**
     * 计划id
     */
    @ApiModelProperty(value = "计划id")
    private Long id;

    /**
     * 巡查任务id
     */
    @ApiModelProperty(value = "巡查任务id")
    private Long inspectionId;

    /**
     * 巡查任务id
     */
    @ApiModelProperty(value = "巡查任务id")
    @Positive(message = "巡查任务id必须大于0")
    private Long itemId;

    /**
     * 乐团主管user_id_
     */
    @ApiModelProperty(value = "乐团主管user_id_")
    private Integer userId;

    /**
     * 计划添加人
     */
    @ApiModelProperty(value = "计划添加人id")
    private Integer operatorUserId;

    /**
     * 日程开始时间
     */
    @ApiModelProperty(value = "日程开始时间")
    private Date planStart;

    /**
     * 日程结束时间
     */
    @ApiModelProperty(value = "日程结束时间")
    private Date planEnd;

    /**
     * 分部id
     */
    @ApiModelProperty(value = "分部id")
    private Integer organId;

    /**
     * 合作单位id
     */
    @ApiModelProperty(value = "合作单位id")
    private Integer cooperationOrganId;

    /**
     * 乐团id
     */
    @ApiModelProperty(value = "乐团id")
    private String musicGroupId;

    /**
     * 教学点gps
     */
    @ApiModelProperty(value = "教学点gps")
    private String schoolGps;

    /**
     * 提交时gps
     */
    @ApiModelProperty(value = "提交时gps")
    private String submitedGps;

    /**
     * 提交时间
     */
    @ApiModelProperty(value = "提交时间")
    private Date submitedTime;

    /**
     * 处理方式
     */
    @ApiModelProperty(value = "处理方式")
    private String memo;


    /**
     * 巡查结果是否异常 0-正常 1-异常
     */
    @ApiModelProperty(value = "巡查结果是否异常 0-正常 1-异常")
    private Integer conclusionStatus;

    /**
     * 0 -未提交 1-正常 2-异常
     */
    @ApiModelProperty(value = "提交状态 0 -未提交 1-正常 2-异常")
    private Integer status;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "分部")
    private String organName;

    @ApiModelProperty(value = "合作单位")
    private String cooperationName;

    @ApiModelProperty(value = "乐团名称")
    private String musicGroupName;

    @ApiModelProperty(value = "已提交的最后结果项")
    private Integer lastCheckItem = 0;

    @ApiModelProperty(value = "打卡范围")
    private Integer attendanceRange;

    @ApiModelProperty(value = "乐团主管名字")
    private String realName;

    private Date generateTime;

    /** 处理时间 */
    private java.util.Date dealTime;

    public Date getGenerateTime() {
        return generateTime;
    }

    public void setGenerateTime(Date generateTime) {
        this.generateTime = generateTime;
    }

    public Date getDealTime() {
        return dealTime;
    }

    public void setDealTime(Date dealTime) {
        this.dealTime = dealTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getInspectionId() {
        return inspectionId;
    }

    public void setInspectionId(Long inspectionId) {
        this.inspectionId = inspectionId;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getPlanStart() {
        return planStart;
    }

    public void setPlanStart(Date planStart) {
        this.planStart = planStart;
    }

    public Date getPlanEnd() {
        return planEnd;
    }

    public void setPlanEnd(Date planEnd) {
        this.planEnd = planEnd;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getSchoolGps() {
        return schoolGps;
    }

    public void setSchoolGps(String schoolGps) {
        this.schoolGps = schoolGps;
    }

    public String getSubmitedGps() {
        return submitedGps;
    }

    public void setSubmitedGps(String submitedGps) {
        this.submitedGps = submitedGps;
    }

    public Date getSubmitedTime() {
        return submitedTime;
    }

    public void setSubmitedTime(Date submitedTime) {
        this.submitedTime = submitedTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getCooperationName() {
        return cooperationName;
    }

    public void setCooperationName(String cooperationName) {
        this.cooperationName = cooperationName;
    }

    public Integer getLastCheckItem() {
        return lastCheckItem;
    }

    public void setLastCheckItem(Integer lastCheckItem) {
        this.lastCheckItem = lastCheckItem;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public Integer getConclusionStatus() {
        return conclusionStatus;
    }

    public void setConclusionStatus(Integer conclusionStatus) {
        this.conclusionStatus = conclusionStatus;
    }

    public Integer getAttendanceRange() {
        return attendanceRange;
    }

    public void setAttendanceRange(Integer attendanceRange) {
        this.attendanceRange = attendanceRange;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getOperatorUserId() {
        return operatorUserId;
    }

    public void setOperatorUserId(Integer operatorUserId) {
        this.operatorUserId = operatorUserId;
    }
}
